Bug 253842 - luci ignores File System Resource Configuration
luci ignores File System Resource Configuration
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan McCabe
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 07:41 EDT by Christian Jung
Modified: 2009-04-16 18:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0407
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:46:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Jung 2007-08-22 07:41:00 EDT
Description of problem:
Changes in the "File System Resource Configuration" page are stored correctly in
the configuration file. But the following options are always set in the GUI:
- Force unmount
- Reboot host node if unmount fails
- Create file system before mounting


Version-Release number of selected component (if applicable):
luci-0.9.2-6.el5

How reproducible:
Always

Steps to Reproduce:
- Add a resource
- Select "File system" as resource type
- Fill in all the required data but keep the following options unchecked:
    - Force unmount
    - Reboot host node if unmount fails
    - Check file system before mounting
- Click submit
- Click configure on newly created resource
- Options are checked! But cluster.conf is correct.

  
Actual results:
GUI always checks the options (ignores settings in cluster.conf)


Expected results:
GUI should reflect settings in cluster.conf 

Additional info:
cluster.conf is always updated correctly. Only Web GUI always checks all options.
Comment 1 RHEL Product and Program Management 2007-10-15 23:45:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Jay Turner 2007-11-30 01:27:48 EST
QE ack for RHEL5.2.  Reproducer in original report and fairly straightforward to
reproduce.
Comment 4 Brian Brock 2008-05-14 21:14:14 EDT
fix verified in -7.el5
Comment 6 errata-xmlrpc 2008-05-21 11:46:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0407.html

Note You need to log in before you can comment on or make changes to this bug.